Summary:        Library for SVG Files
Summary(ja):	SVG ファイルを扱うライブラリ
Name:           libsvg
Version:        0.1.4
Release:        3%{?_dist_release}
License:        LGPL
Group:          System Environment/Libraries
URL:            http://www.cairographics.org/
Source:         %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libjpeg-devel, libpng-devel, libxml2-devel, pkgconfig

%description
libsvg provides a parser for SVG content in files or buffers.


%package devel
Summary:        Library for SVG Files
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:	libxml2-devel

%description devel
libsvg provides a parser for SVG content in files or buffers.


%prep
%setup -q

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/svg.h


%changelog
* Fri Aug 08 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.4-3
- rebuilt with current environment

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.4-1vl5
- applied new versioning policy, spec in utf-8

* Fri Feb 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.4-0vl1
- initial build for Vine Linux partially based on opensuse package

* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires

* Wed Nov 02 2005 - sbrabec@suse.cz
- New SuSE package, version 0.1.4 (#120043).
